#
# spec file for package liblug (Version 1.0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg librle libtiff libz svgalib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg librle libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         liblug
Copyright:    LGPL
Group:        Development/Libraries
Autoreqprov:  on
Version:      1.0.8
Release:      383
Summary:      Multiple format graphics library
Source:       liblug-%{version}.tar.gz
Patch:        liblug-%{version}.dif
Patch1:       no_svga.dif
BuildRoot:    /var/lib/%{name}-%{version}

%description
Supports (among others) GIF,PCX,TGA,RGB,TIFF,PIX,RLA,RLE,PBM,PGM,PNM,RAW,JPG

Authors:
--------
    Raul Rivero <rivero@pinon.ccu.uniovi.es>

SuSE series: gra

%prep
%setup -n lug
%patch
%ifarch sparc
%patch1
%endif

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/X11R6/{bin,lib,include}
install include/lug*.h $RPM_BUILD_ROOT/usr/X11R6/include
install liblug.a $RPM_BUILD_ROOT/usr/X11R6/lib
install liblug.so.1.0.8 $RPM_BUILD_ROOT/usr/X11R6/lib
ln -sf liblug.so.1.0.8 $RPM_BUILD_ROOT/usr/X11R6/lib/liblug.so
cd examples
install -s cabezon fade fademask fadesec hf2gif lugcnv raindrops reborde senoidal siluet swapgifcmap sx11 zoomlug $RPM_BUILD_ROOT/usr/X11R6/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES README TODO copyright docs images/lug.gif images/logo.gif
/usr/X11R6/include/*
/usr/X11R6/lib/*
/usr/X11R6/bin/*

%changelog -n liblug
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Sun Jun 25 2000 - kukuk@suse.de
- Don't use svgalib on SPARC
* Mon May 29 2000 - bubnikv@suse.cz
- added buildroot
- filled Group: tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Nov 05 1998 - ro@suse.de
- rename function basename to lug_basename (conflict with glibc)
* Tue May 12 1998 - ro@suse.de
- new graphics package
